Name:           python-kodi-nfo-generator
Version:        0.0.16
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Simple Python-based command-line tool to generate .nfo files for movies and TV shows for Kodi.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/fracpete/kodi-nfo-generator
Source:         %{pypi_source kodi_nfo_generator}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'kodi-nfo-generator' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-kodi-nfo-generator
Summary:        %{summary}

%description -n python3-kodi-nfo-generator %_description


%prep
%autosetup -p1 -n kodi_nfo_generator-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-kodi-nfo-generator -f %{pyproject_files}


%changelog
%autochangelog